org.eclipse.viatra.cep.core.metamodels.events.impl

## Class ComplexEventPatternImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.cep.core.metamodels.events.impl.EventPatternImpl
          - - org.eclipse.viatra.cep.core.metamodels.events.impl.ComplexEventPatternImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, ComplexEventPattern, EventPattern
  Direct Known Subclasses:
    AnonymousComplexEventPattern, ParameterizableComplexEventPattern

      public class ComplexEventPatternImpl
      extends EventPatternImpl
      implements ComplexEventPattern

  An implementation of the model object 'Complex Event Pattern'.

  The following features are implemented:

  - `Operator`
  - `Timewindow`
  - `Contained Event Patterns`
  - `Event Context`
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.emf.common.util.EList<EventPatternReference>` | `containedEventPatterns` The cached value of the '`Contained Event Patterns`' containment reference list.
    `protected static EventContext` | `EVENT_CONTEXT_EDEFAULT` The default value of the '`Event Context`' attribute.
    `protected EventContext` | `eventContext` The cached value of the '`Event Context`' attribute.
    `protected ComplexEventOperator` | `operator` The cached value of the '`Operator`' containment reference.
    `protected Timewindow` | `timewindow` The cached value of the '`Timewindow`' containment reference.

    - ### Fields inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.EventPatternImpl

      `automaton, id, ID_EDEFAULT, parameterNames`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ComplexEventPatternImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetOperator(ComplexEventOperator newOperator, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetTimewindow(Timewindow newTimewindow, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `org.eclipse.emf.common.util.EList<EventPatternReference>` | `getContainedEventPatterns()`
    `EventContext` | `getEventContext()`
    `ComplexEventOperator` | `getOperator()`
    `Timewindow` | `getTimewindow()`
    `void` | `setEventContext(EventContext newEventContext)`
    `void` | `setOperator(ComplexEventOperator newOperator)`
    `void` | `setTimewindow(Timewindow newTimewindow)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.EventPatternImpl

      `basicGetAutomaton, basicSetEventModel, eBasicRemoveFromContainerFeature, eInverseAdd, getAutomaton, getEventModel, getId, getParameterNames, setAutomaton, setEventModel, setId`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.cep.core.metamodels.events.EventPattern

      `getAutomaton, getEventModel, getId, getParameterNames, setAutomaton, setEventModel, setId`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### operator

          protected ComplexEventOperator operator

      The cached value of the '`Operator`' containment reference.
      See Also:
        `getOperator()`
      Generated:
      Ordered:

    - #### timewindow

          protected Timewindow timewindow

      The cached value of the '`Timewindow`' containment reference.
      See Also:
        `getTimewindow()`
      Generated:
      Ordered:

    - #### containedEventPatterns

          protected org.eclipse.emf.common.util.EList<EventPatternReference> containedEventPatterns

      The cached value of the '`Contained Event Patterns`' containment reference list.
      See Also:
        `getContainedEventPatterns()`
      Generated:
      Ordered:

    - #### EVENT_CONTEXT_EDEFAULT

          protected static final EventContext EVENT_CONTEXT_EDEFAULT

      The default value of the '`Event Context`' attribute.
      See Also:
        `getEventContext()`
      Generated:
      Ordered:

    - #### eventContext

          protected EventContext eventContext

      The cached value of the '`Event Context`' attribute.
      See Also:
        `getEventContext()`
      Generated:
      Ordered:

  - ### Constructor Detail

    - #### ComplexEventPatternImpl

          protected ComplexEventPatternImpl()

      Generated:

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `EventPatternImpl`
      Generated:

    - #### getOperator

          public ComplexEventOperator getOperator()

      Specified by:
        `getOperator` in interface `ComplexEventPattern`
      Returns:
        the value of the 'Operator' containment reference.
      See Also:
        `ComplexEventPattern.setOperator(ComplexEventOperator)`, `EventsPackage.getComplexEventPattern_Operator()`
      Generated:

    - #### basicSetOperator

          public org.eclipse.emf.common.notify.NotificationChain basicSetOperator(ComplexEventOperator newOperator,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

      Generated:

    - #### setOperator

          public void setOperator(ComplexEventOperator newOperator)

      Specified by:
        `setOperator` in interface `ComplexEventPattern`
      Parameters:
        `newOperator` - the new value of the 'Operator' containment reference.
      See Also:
        `ComplexEventPattern.getOperator()`
      Generated:

    - #### getTimewindow

          public Timewindow getTimewindow()

      Specified by:
        `getTimewindow` in interface `ComplexEventPattern`
      Returns:
        the value of the 'Timewindow' containment reference.
      See Also:
        `ComplexEventPattern.setTimewindow(Timewindow)`, `EventsPackage.getComplexEventPattern_Timewindow()`
      Generated:

    - #### basicSetTimewindow

          public org.eclipse.emf.common.notify.NotificationChain basicSetTimewindow(Timewindow newTimewindow,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

      Generated:

    - #### setTimewindow

          public void setTimewindow(Timewindow newTimewindow)

      Specified by:
        `setTimewindow` in interface `ComplexEventPattern`
      Parameters:
        `newTimewindow` - the new value of the 'Timewindow' containment reference.
      See Also:
        `ComplexEventPattern.getTimewindow()`
      Generated:

    - #### getContainedEventPatterns

          public org.eclipse.emf.common.util.EList<EventPatternReference> getContainedEventPatterns()

      Specified by:
        `getContainedEventPatterns` in interface `ComplexEventPattern`
      Returns:
        the value of the 'Contained Event Patterns' containment reference list.
      See Also:
        `EventsPackage.getComplexEventPattern_ContainedEventPatterns()`
      Generated:

    - #### getEventContext

          public EventContext getEventContext()

      Specified by:
        `getEventContext` in interface `ComplexEventPattern`
      Returns:
        the value of the 'Event Context' attribute.
      See Also:
        `EventContext`, `ComplexEventPattern.setEventContext(EventContext)`, `EventsPackage.getComplexEventPattern_EventContext()`
      Generated:

    - #### setEventContext

          public void setEventContext(EventContext newEventContext)

      Specified by:
        `setEventContext` in interface `ComplexEventPattern`
      Parameters:
        `newEventContext` - the new value of the 'Event Context' attribute.
      See Also:
        `EventContext`, `ComplexEventPattern.getEventContext()`
      Generated:

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `EventPatternImpl`
      Generated:

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `EventPatternImpl`
      Generated:

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `EventPatternImpl`
      Generated:

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `EventPatternImpl`
      Generated:

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `EventPatternImpl`
      Generated:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EventPatternImpl`
      Generated: